# StatusBarPanel

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Component](/api/wisej.base/general/wisej.base.component.md)
  * [Component](/api/wisej.web/general/wisej.web.component.md)
    * [BindableComponent](/api/wisej.web/general/wisej.web.bindablecomponent.md)
      * [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md)

Represents a panel in a [StatusBar](/api/wisej.web/containers/statusbar.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class StatusBarPanel : BindableComponent
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class StatusBarPanel
    Inherits BindableComponent
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) StatusBarPanel()

Initializes a new instance of the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) class.

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Alignment

[HorizontalAlignment](/api/wisej.web/enumerations/wisej.web.horizontalalignment.md): Returns or sets the alignment of text and icons within the status bar panel. (Default: `Left`)

### ![](/files/hsR4ok3152WyAf8J2C1u) AllowHtml

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets a value indicating that the control can display html in the Text property. (Default: `False`)

### ![](/files/hsR4ok3152WyAf8J2C1u) AutoSize

[StatusBarPanelAutoSize](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanelautosize.md): Returns or sets whether the status bar panel is automatically resized. (Default: `None`)

### ![](/files/hsR4ok3152WyAf8J2C1u) BorderStyle

[StatusBarPanelBorderStyle](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanelborderstyle.md): Returns or sets the border style of the status bar panel. (Default: `Solid`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Icon

[Image](https://docs.microsoft.com/dotnet/api/system.drawing.image): Returns or sets the icon to display within the status bar panel.

### ![](/files/hsR4ok3152WyAf8J2C1u) IconIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the index value of the image assigned to the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md). (Default: `-1`)

**Throws:**

* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception)\
  The assigned value is less than -1.

### ![](/files/hsR4ok3152WyAf8J2C1u) IconSource

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the theme name or URL for the icon to display in the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) ImageKey

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the name of the image assigned to the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md). (Default: `""`)

### ![](/files/hsR4ok3152WyAf8J2C1u) MinWidth

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the minimum allowed width of the status bar panel within the [StatusBar](/api/wisej.web/containers/statusbar.md) control. (Default: `10`)

**Throws:**

* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception)\
  A value less than 0 is assigned to the property.

### ![](/files/hsR4ok3152WyAf8J2C1u) Name

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the name to apply to the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) Padding

[Padding](/api/wisej.web/general/wisej.web.padding.md): Returns or sets padding within the statusbar panel.

### ![](/files/hsR4ok3152WyAf8J2C1u) Parent

[StatusBar](/api/wisej.web/containers/statusbar.md): Returns the [StatusBar](/api/wisej.web/containers/statusbar.md) control that hosts the status bar panel.

### ![](/files/hsR4ok3152WyAf8J2C1u) Tag

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets an object that contains data about the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md). (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Text

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the text of the status bar panel. (Default: `""`)

When AllowHtml is set to true, the text can contain HTML content. If the text contains new lines (CRLF) but doesn't contain HTML elements (at least one "<") all CRLF are automatically substituted with "\<br/>".

### ![](/files/hsR4ok3152WyAf8J2C1u) ToolTipText

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets ToolTip text associated with the status bar panel. (Default: `""`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Width

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the width of the status bar panel within the [StatusBar](/api/wisej.web/containers/statusbar.md) control. (Default: `100`)

**Throws:**

* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception)\
  The width specified is less than the value of the [MinWidth](#minwidth) property.

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) BeginInit()

Begins the initialization of a [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md).

### ![](/files/lzopMboA31bVq8UIcbT3) Dispose(disposing)

Disposes the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) and removes it from the [StatusBar](/api/wisej.web/containers/statusbar.md).

| Parameter     | Type                                                            | Description                                                                 |
| ------------- | --------------------------------------------------------------- | --------------------------------------------------------------------------- |
| **disposing** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) | true when this method is called by the application rather than a finalizer. |

### ![](/files/hsR4ok3152WyAf8J2C1u) EndInit()

Ends the initialization of a [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) OnClick(e)

Fires the [Click](#click) event.

| Parameter | Type                                                                | Description                                                                                          |
| --------- | ------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) | An [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

### ![](/files/hsR4ok3152WyAf8J2C1u) Update()

Updates the component on the client. Overridden to repaint the parent control in design mode.

## Events

### ![](/files/hsR4ok3152WyAf8J2C1u) Click

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) is clicked.

## Inherited By

| Name                                                                                  | Description                                                                                                                                                                                 |
| ------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [StatusBarControl](/api/wisej.web/containers/statusbar/wisej.web.statusbarcontrol.md) | Represents a panel in a [StatusBar](/api/wisej.web/containers/statusbar.md) control that can host any [Control](/api/wisej.web/containers/statusbar/wisej.web.statusbarcontrol.md#control). |

## Implements

| Name                                                                              | Description                                                                                                     |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                   |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                  |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
